### Hierarchy

- Match
  - DoubleEliminationMatch

## Index

### Constructors

- constructor

### Properties

- games
- options
- parentMatches
- players
- stats
- uuid

### Methods

- getStats
- playGames
- toString

## Constructors

### constructor

- new DoubleEliminationMatch(players: Player[], options: IMatchOptions, events: ITournamentEvents): DoubleEliminationMatch

- Inherited from Match.constructor

  - Defined in tournament/match/Match.ts:17

  #### Parameters

  - ##### players: Player[]

  - ##### options: IMatchOptions

  - ##### events: ITournamentEvents

  #### Returns DoubleEliminationMatch

## Properties

### games

games: Game[]

Inherited from Match.games

- Defined in tournament/match/Match.ts:16

### options

options: IMatchOptions

Inherited from Match.options

- Defined in tournament/match/Match.ts:19

### parentMatches

parentMatches: IMatchParent[] = []

- Defined in tournament/matchmaker/DoubleEliminationMatch.ts:9

### players

players: Player[]

Inherited from Match.players

- Defined in tournament/match/Match.ts:19

### stats

stats: State

Inherited from Match.stats

- Defined in tournament/match/Match.ts:17

### uuid

uuid: string

Inherited from Match.uuid

- Defined in tournament/match/Match.ts:15

## Methods

### getStats

- getStats(): any

- Overrides Match.getStats

  - Defined in tournament/matchmaker/DoubleEliminationMatch.ts:11

  #### Returns any

### playGames

- playGames(): Promise<void>

- Inherited from Match.playGames

  - Defined in tournament/match/Match.ts:41

  Play all the games in this match

  #### Returns Promise<void>

### toString

- toString(): string

- Inherited from Match.toString

  - Defined in tournament/match/Match.ts:75

  #### Returns string

Generated using TypeDoc